//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using System.Threading;
using System.Drawing;

using nispi.controlclass;

namespace nispi
{
    class ThreadListTabMainMenu
    {
        public ToolStripMenuItemParts menuItemCloseTabParts;
        public ToolStripMenuItemParts menuItemCloseAllTabParts;
        public ToolStripMenuItemParts menuItemAddFavoriteParts;
        public ToolStripMenuItemParts menuItemCreateNewThreadParts;
        public ToolStripMenuItemParts menuItemOpenBrowserParts;
        public ToolStripMenuItemParts menuItemCopyURLParts;
        public ToolStripMenuItemParts menuItemCopyTitleParts;
        public ToolStripMenuItemParts menuItemReloadParts;

        public ThreadListTabEvent threadListTabEvent;

        public ThreadListTabMainMenu(ToolStripMenuItemParts menuItem)
        {

            menuItemCloseTabParts = ToolStripMenuItemPartsManager.Pop();
            menuItemCloseAllTabParts = ToolStripMenuItemPartsManager.Pop();
            menuItemAddFavoriteParts = ToolStripMenuItemPartsManager.Pop();
            menuItemCreateNewThreadParts = ToolStripMenuItemPartsManager.Pop();
            menuItemOpenBrowserParts = ToolStripMenuItemPartsManager.Pop();
            menuItemCopyURLParts = ToolStripMenuItemPartsManager.Pop();
            menuItemCopyTitleParts = ToolStripMenuItemPartsManager.Pop();
            menuItemReloadParts = ToolStripMenuItemPartsManager.Pop();

            menuItemCloseTabParts.Text = "タブを閉じる";

            menuItemCloseAllTabParts.Text = "すべてのタブを閉じる";

            menuItemAddFavoriteParts.Text = "お気に入りに追加する";

            menuItemCreateNewThreadParts.Text = "スレッドに書き込み";

            menuItemOpenBrowserParts.Text = "ブラウザーで開く";

            menuItemCopyURLParts.Text = "URLをコピー";

            menuItemCopyTitleParts.Text = "タイトルをコピー";

            menuItemReloadParts.Text = "再読み込み";

            menuItem.DropDownItemsAdd(menuItemCloseTabParts);
            menuItem.DropDownItemsAdd(menuItemCloseAllTabParts);
            menuItem.DropDownItemsAdd("-");
            menuItem.DropDownItemsAdd(menuItemAddFavoriteParts);
            menuItem.DropDownItemsAdd(menuItemCreateNewThreadParts);
            menuItem.DropDownItemsAdd(menuItemOpenBrowserParts);
            menuItem.DropDownItemsAdd("-");
            menuItem.DropDownItemsAdd(menuItemCopyURLParts);
            menuItem.DropDownItemsAdd(menuItemCopyTitleParts);
            menuItem.DropDownItemsAdd("-");
            menuItem.DropDownItemsAdd(menuItemReloadParts);

            threadListTabEvent = new ThreadListTabEvent(this);
        }
        public void SetupMainMenu()
        {
            int num = Const.form.threadListTabControlParts.SelectedIndex;
            if ((MainFormConst.threadListTabMain.viewList[num].datUrl != null) &&
                (MainFormConst.threadListTabMain.viewList[num].datUrl.Length > 0))
            {
                menuItemCloseTabParts.Enabled = true;
                menuItemCloseAllTabParts.Enabled = true;
                menuItemAddFavoriteParts.Enabled = true;
                menuItemCreateNewThreadParts.Enabled = true;
                menuItemOpenBrowserParts.Enabled = true;
                menuItemCopyURLParts.Enabled = true;
                menuItemCopyTitleParts.Enabled = true;
                menuItemReloadParts.Enabled = true;
            }
            else
            {
                menuItemCloseTabParts.Enabled = false;
                menuItemCloseAllTabParts.Enabled = false;
                menuItemAddFavoriteParts.Enabled = false;
                menuItemCreateNewThreadParts.Enabled = false;
                menuItemOpenBrowserParts.Enabled = false;
                menuItemCopyURLParts.Enabled = false;
                menuItemCopyTitleParts.Enabled = false;
                menuItemReloadParts.Enabled = false;
            }
        }
    }
}

